Package org.h2.expression

# Enum Class Format.FormatEnum

java.lang.Object
java.lang.Enum<Format.FormatEnum>
org.h2.expression.Format.FormatEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<Format.FormatEnum>`, `Constable`

Enclosing class:
  Format

public static enum Format.FormatEnum extends Enum<Format.FormatEnum>
Supported formats.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`JSON`
JSON.

## Method Summary

Modifier and Type
Method
Description
`static Format.FormatEnum`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Format.FormatEnum[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### JSON

public static final Format.FormatEnum JSON
JSON.

## Method Details

### values

public static Format.FormatEnum[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Format.FormatEnum valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null